Bug 1593133 - python-trollius FTBFS on Python 3.7 [NEEDINFO]
Summary: python-trollius FTBFS on Python 3.7
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-trollius
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
high
Target Milestone: ---
Assignee: Ian Wienand
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON37 1605372 1605604 1605971
TreeView+ depends on / blocked
 
Reported: 2018-06-20 07:36 UTC by Miro Hrončok
Modified: 2018-07-26 12:44 UTC (History)
5 users (show)

Fixed In Version: python-trollius-2.1-9.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-26 12:44:04 UTC
Type: Bug
mhroncok: needinfo? (iwienand)


Attachments (Terms of Use)

Description Miro Hrončok 2018-06-20 07:36:25 UTC
Description of problem: async is a keyword in Python 3.7. python-trollius FTBFS now:

Bytecompiling .py files below /builddir/build/BUILDROOT/python-trollius-2.1-9.fc29.noarch/usr/lib/python3.7 using /usr/bin/python3.7
*** Error compiling '/builddir/build/BUILDROOT/python-trollius-2.1-9.fc29.noarch/usr/lib/python3.7/site-packages/trollius/tasks.py'...
  File "/usr/lib/python3.7/tasks.py", line 565
    def async(coro_or_future, loop=None):
            ^
SyntaxError: invalid syntax

https://koji.fedoraproject.org/koji/taskinfo?taskID=27742370

Version-Release number of selected component (if applicable): python-trollius-2.1-9.fc29


Build in the 3.7 side tag (to test and also when fixed):

     fedpkg build --target=f29-python

This is blocking other packages.

Comment 1 Pierre-YvesChibon 2018-06-20 07:52:18 UTC
trollius is py2 only I believe, if it's being built for py3 that's a mistake.

Comment 2 Pierre-YvesChibon 2018-06-20 07:54:26 UTC
My bad, it seems it also supported up to python 3.5, but it's deprecated upstream and imho its interest lay mostly in py2, on py3 asyncio is the way to go :)

Comment 3 Miro Hrončok 2018-06-20 08:08:50 UTC
$ dnf repoquery  --disablerepo='*' --enablerepo='rawhide-source' --whatrequires python3-trollius
python-ZEO-0:5.2.0-1.fc29.src
python-catkin_tools-0:0.4.4-1.fc27.src
python-trollius-redis-0:0.1.4-12.fc29.src
qtile-0:0.11.1-2.fc29.src

Comment 4 Pierre-YvesChibon 2018-06-20 08:34:50 UTC
> python-trollius-redis-0:0.1.4-12.fc29.src

Upstream also clearly mentions up to 3.5: https://pypi.org/project/trollius_redis/


> python-ZEO-0:5.2.0-1.fc29.src

Upstream only mentions up to 3.5 as well: https://pypi.org/project/ZEO/
but more interestingly, trollius is only a dependency on ZEO on 2.7: https://github.com/zopefoundation/ZEO/blob/master/setup.py#L137

> qtile-0:0.11.1-2.fc29.src
Same here, trollius is only a dependency on py2: https://github.com/qtile/qtile/blob/develop/setup.py#L95

I don't have a clear view for catkin_tools

Comment 5 Miro Hrončok 2018-06-20 09:23:30 UTC
catkin_tools FTBFS since 28 anyway https://bugzilla.redhat.com/show_bug.cgi?id=1556160

Comment 6 Miro Hrončok 2018-06-20 09:31:40 UTC
(In reply to Pierre-YvesChibon from comment #4)
> > python-trollius-redis-0:0.1.4-12.fc29.src
> 
> Upstream also clearly mentions up to 3.5:
> https://pypi.org/project/trollius_redis/

Clearly, since the release is from 2015.


> > python-ZEO-0:5.2.0-1.fc29.src
> 
> Upstream only mentions up to 3.5 as well: https://pypi.org/project/ZEO/
> but more interestingly, trollius is only a dependency on ZEO on 2.7:
> https://github.com/zopefoundation/ZEO/blob/master/setup.py#L137

Removed the BR.

> > qtile-0:0.11.1-2.fc29.src
> Same here, trollius is only a dependency on py2

Removed the BR.

Comment 7 Miro Hrončok 2018-07-02 18:18:39 UTC
The side tag is no more. Once fixed, build in regular rawhide.

Comment 8 Miro Hrončok 2018-07-17 12:11:27 UTC
trollius has been Retired on Fedora.

I wonder what the dependent packages will do :(

Comment 9 Ian Wienand 2018-07-17 19:15:24 UTC
I think it was my mistake to retire the whole project, and it should be restored now.  I think we just want to drop the python3 builds, but can leave python2 well enough alone.

Comment 10 Orion Poplawski 2018-07-21 03:10:34 UTC
Might be worth updating to 2.2 at the same time.

Comment 12 Jerry James 2018-07-21 21:35:27 UTC
I owe everybody a big apology.  I barged in like a bull in a china shop.  I hope I didn't make too big a mess of things.

I've been out of town, and a bunch of my packages failed the mass rebuild while I was gone.  I'm back for a couple of days before leaving again, so I am hurriedly trying to fix as many build failures as I can while I'm here.  I was in too big a hurry, obviously.  I saw that python-ZEO failed the mass rebuild because trollius was not available.  I saw that it had been unretired, but there was no build.  And I saw that the last build attempt failed due to async being used as a function name.  So I added a patch to fix the async bug for python 3, fired off a build ... then read this bug.

If you want to throw rocks or overripe tomatoes at me, get in touch and I'll give you a physical location where that can be done.

Comment 13 Miro Hrončok 2018-07-25 09:24:46 UTC
(This is a mass bug update. Forgive me if things are not 100% accurate for this one.)

At this moment, your package still requires Python 3.6. This will cause broken upgrades to Fedora 29. Please prioritize this rebuild.

Let me know if you need help from the Python maintenance team figuring out why the package FTBFS.

Consider orphaning the package if you don't have time for it.

Consider retiring the package if upstream is dead and nothing depends on it in Fedora.

If you are blocked by other packages (I've recently tried to set the Bugzilla metadata to reflect that), consider helping there as well. Thank you.


Note You need to log in before you can comment on or make changes to this bug.